import { LfCardAdapter, LfCardLayout } from "./card.declarations";
import { LfDataShapeDefaults } from "../framework/data.declarations";
export declare const LF_CARD_CSS_VARS: {
    readonly height: "--lf_card_height";
    readonly width: "--lf_card_width";
};
export declare const LF_CARD_BLOCKS: {
    readonly card: "card";
    readonly debugLayout: {
        readonly _: "debug-layout";
        readonly section1: "section-1";
        readonly section2: "section-2";
        readonly section3: "section-3";
        readonly section4: "section-4";
    };
    readonly keywordsLayout: {
        readonly _: "keywords-layout";
        readonly section1: "section-1";
        readonly section2: "section-2";
        readonly section3: "section-3";
    };
    readonly materialLayout: {
        readonly _: "material-layout";
        readonly actionsSection: "actions-section";
        readonly coverSection: "cover-section";
        readonly textSection: "text-section";
    };
    readonly textContent: {
        readonly _: "text-content";
        readonly title: "title";
        readonly subtitle: "subtitle";
        readonly description: "description";
    };
    readonly uploadLayout: {
        readonly _: "upload-layout";
        readonly section1: "section-1";
        readonly section2: "section-2";
    };
};
export declare const LF_CARD_DEFAULTS: (getAdapter: () => LfCardAdapter) => {
    [L in LfCardLayout]: LfDataShapeDefaults;
};
export declare const LF_CARD_EVENTS: readonly ["click", "contextmenu", "lf-event", "pointerdown", "ready", "unmount"];
export declare const LF_CARD_IDS: {
    readonly clear: "clear";
    readonly theme: "theme";
};
export declare const LF_CARD_LAYOUTS: readonly ["debug", "keywords", "material", "upload"];
export declare const LF_CARD_PARTS: {
    readonly card: "card";
    readonly debugLayout: "debug-layout";
    readonly keywordsLayout: "keywords-layout";
    readonly materialLayout: "material-layout";
    readonly uploadLayout: "upload-layout";
};
export declare const LF_CARD_PROPS: ["lfDataset", "lfLayout", "lfSizeX", "lfSizeY", "lfStyle"];
//# sourceMappingURL=card.constants.d.ts.map