import { LF_ATTRIBUTES } from "../foundations/components.constants";
//#region Automatic CSS variables
export const LF_COMPARE_CSS_VARS = {
    overlayWidth: "--lf_compare_overlay_width",
};
//#endregion
//#region Blocks
export const LF_COMPARE_BLOCKS = {
    compare: { _: "compare", grid: "grid" },
    toolbar: {
        _: "toolbar",
        panel: "panel",
    },
    view: {
        _: "view",
        input: "input",
        left: "left",
        right: "right",
        slider: "slider",
    },
};
//#endregion
//#region Defaults
export const LF_COMPARE_DEFAULTS = () => {
    return {
        left: {
            image: () => [
                {
                    htmlProps: {
                        dataset: {
                            lf: LF_ATTRIBUTES.fadeIn,
                        },
                    },
                    lfSizeX: "100%",
                    lfSizeY: "100%",
                    shape: "image",
                    value: "",
                },
            ],
        },
        right: {
            image: () => [
                {
                    htmlProps: {
                        dataset: {
                            lf: LF_ATTRIBUTES.fadeIn,
                        },
                    },
                    lfSizeX: "100%",
                    lfSizeY: "100%",
                    shape: "image",
                    value: "",
                },
            ],
        },
    };
};
//#endregion
//#region Events
export const LF_COMPARE_EVENTS = ["lf-event", "ready", "unmount"];
//#endregion
//#region Ids
export const LF_COMPARE_IDS = {
    leftButton: "toggle-left-button",
    leftTree: "toggle-left-tree",
    rightButton: "toggle-right-button",
    rightTree: "toggle-right-tree",
    changeView: "change-view",
};
//#endregion
//#region Parts
export const LF_COMPARE_PARTS = {
    changeView: "changeView",
    compare: "compare",
    leftButton: "leftButton",
    leftTree: "leftTree",
    rightButton: "rightButton",
    rightTree: "rightTree",
};
//#endregion
//#region Props
export const LF_COMPARE_PROPS = [
    "lfDataset",
    "lfShape",
    "lfStyle",
    "lfView",
];
//#endregion
//#region Views
export const LF_COMPARE_VIEWS = ["main", "split"];
//#endregion
