import { LfFrameworkInterface } from "./framework.declarations";
export declare const LF_FRAMEWORK_ALLOWED_ATTRS: readonly ["alt", "autocomplete", "autofocus", "checked", "class", "disabled", "href", "htmlProps", "id", "max", "maxLength", "min", "minLength", "multiple", "name", "placeholder", "readonly", "role", "src", "srcset", "step", "title", "type", "value"];
export declare const LF_FRAMEWORK_ALLOWED_PREFIXES: readonly ["aria", "data"];
export declare const LF_FRAMEWORK_EVENT_NAME: "lf-core-event";
export declare const LF_FRAMEWORK_MODULES: readonly ["lf-core", "lf-framework", "lf-showcase"];
/**
 * Symbol used to identify the LfFramework service.
 * This unique symbol serves as a dependency injection token.
 *
 * @const {unique symbol}
 */
export declare const LF_FRAMEWORK_SYMBOL_KEY: "__LfFramework__";
export declare const LF_FRAMEWORK_SYMBOL: unique symbol;
/**
 * Global Promise that resolves when LfFramework is ready.
 * Components and downstream modules should await this promise in their async lifecycle hooks.
 */
export declare const onFrameworkReady: Promise<LfFrameworkInterface>;
/**
 * Marks when the framework has been successfully initialized.
 * It resolves the onFrameworkReady promise and clears the internal resolver to ensure it's only called once.
 */
export declare function markFrameworkReady(framework: LfFrameworkInterface): void;
//# sourceMappingURL=framework.constants.d.ts.map