//#region Colors
export const LF_THEME_COLORS_PREFIX = "--lf-color-";
export const LF_THEME_COLORS_DATA_PREFIX = `${LF_THEME_COLORS_PREFIX}data-`;
export const LF_THEME_COLORS = {
    bg: `${LF_THEME_COLORS_PREFIX}bg`,
    border: `${LF_THEME_COLORS_PREFIX}border`,
    danger: `${LF_THEME_COLORS_PREFIX}danger`,
    data1: `${LF_THEME_COLORS_DATA_PREFIX}1`,
    data2: `${LF_THEME_COLORS_DATA_PREFIX}2`,
    data3: `${LF_THEME_COLORS_DATA_PREFIX}3`,
    data4: `${LF_THEME_COLORS_DATA_PREFIX}4`,
    data5: `${LF_THEME_COLORS_DATA_PREFIX}5`,
    drawer: `${LF_THEME_COLORS_PREFIX}drawer`,
    header: `${LF_THEME_COLORS_PREFIX}header`,
    info: `${LF_THEME_COLORS_PREFIX}info`,
    link: `${LF_THEME_COLORS_PREFIX}link`,
    onBg: `${LF_THEME_COLORS_PREFIX}on-bg`,
    onBorder: `${LF_THEME_COLORS_PREFIX}on-border`,
    onDanger: `${LF_THEME_COLORS_PREFIX}on-danger`,
    onDrawer: `${LF_THEME_COLORS_PREFIX}on-drawer`,
    onHeader: `${LF_THEME_COLORS_PREFIX}on-header`,
    onInfo: `${LF_THEME_COLORS_PREFIX}on-info`,
    onLink: `${LF_THEME_COLORS_PREFIX}on-link`,
    onPrimary: `${LF_THEME_COLORS_PREFIX}on-primary`,
    onSecondary: `${LF_THEME_COLORS_PREFIX}on-secondary`,
    onSpinner: `${LF_THEME_COLORS_PREFIX}on-spinner`,
    onSuccess: `${LF_THEME_COLORS_PREFIX}on-success`,
    onSurface: `${LF_THEME_COLORS_PREFIX}on-surface`,
    onWarning: `${LF_THEME_COLORS_PREFIX}on-warning`,
    primary: `${LF_THEME_COLORS_PREFIX}primary`,
    secondary: `${LF_THEME_COLORS_PREFIX}secondary`,
    spinner: `${LF_THEME_COLORS_PREFIX}spinner`,
    success: `${LF_THEME_COLORS_PREFIX}success`,
    surface: `${LF_THEME_COLORS_PREFIX}surface`,
    warning: `${LF_THEME_COLORS_PREFIX}warning`,
};
//#endregion
//#region Fonts
export const LF_THEME_FONTS_PREFIX = "--lf-font-";
export const LF_THEME_FONTS_FONTFACE = {
    bebasNeue: "BebasNeue",
    cinzel: "Cinzel",
    IMFellEnglishSC: "IMFellEnglishSC",
    lato: "Lato",
    merriweather: "Merriweather",
    montserrat: "Montserrat",
    orbitron: "Orbitron",
    oswald: "Oswald",
    raleway: "Raleway",
    sawarabiMincho: "SawarabiMincho",
    shareTechMono: "ShareTechMono",
    sourceCodePro: "SourceCodePro",
    staatliches: "Staatliches",
    uncialAntiqua: "UncialAntiqua",
    vt323: "VT323",
    xanhMono: "XanhMono",
};
export const LF_THEME_FONTS = {
    familyPrimary: `${LF_THEME_FONTS_PREFIX}family-primary`,
    familySecondary: `${LF_THEME_FONTS_PREFIX}family-secondary`,
    familyMonospace: `${LF_THEME_FONTS_PREFIX}family-monospace`,
    size: `${LF_THEME_FONTS_PREFIX}size`,
};
//#endregion;
//#region UI
export const LF_THEME_UI_PREFIX = "--lf-ui-";
export const LF_THEME_UI_STATES = [
    "danger",
    "disabled",
    "info",
    "primary",
    "secondary",
    "success",
    "warning",
];
export const LF_THEME_UI_SIZES = [
    "large",
    "medium",
    "small",
    "xlarge",
    "xsmall",
    "xxlarge",
    "xxsmall",
];
export const LF_THEME_UI_NUMERICS = [
    "xxsmall",
    "xsmall",
    "small",
    "medium",
    "large",
    "xlarge",
    "xxlarge",
    "opacityDisabled",
    "opacityRipple",
    "zindexBackdrop",
    "zindexDrawer",
    "zindexHeader",
    "zindexLightbox",
    "zindexModal",
    "zindexPortal",
    "zindexSplash",
    "zindexToast",
];
export const LF_THEME_UI = {
    ...LF_THEME_UI_SIZES.reduce((acc, size) => {
        acc[size] = `${LF_THEME_UI_PREFIX}size-${size}`;
        return acc;
    }, {}),
    borderRadius: `${LF_THEME_UI_PREFIX}border-radius`,
    boxShadowModal: `${LF_THEME_UI_PREFIX}box-shadow-modal`,
    durationRipple: `${LF_THEME_UI_PREFIX}duration-ripple`,
    heightHeader: `${LF_THEME_UI_PREFIX}height-header`,
    opacityDisabled: `${LF_THEME_UI_PREFIX}opacity-disabled`,
    opacityRipple: `${LF_THEME_UI_PREFIX}opacity-ripple`,
    radiusRipple: `${LF_THEME_UI_PREFIX}radius-ripple`,
    timingRipple: `${LF_THEME_UI_PREFIX}timing-ripple`,
    widthDrawer: `${LF_THEME_UI_PREFIX}width-drawer`,
    zindexBackdrop: `${LF_THEME_UI_PREFIX}zindex-backdrop`,
    zindexDrawer: `${LF_THEME_UI_PREFIX}zindex-drawer`,
    zindexHeader: `${LF_THEME_UI_PREFIX}zindex-header`,
    zindexLightbox: `${LF_THEME_UI_PREFIX}zindex-lightbox`,
    zindexPortal: `${LF_THEME_UI_PREFIX}zindex-portal`,
    zindexSplash: `${LF_THEME_UI_PREFIX}zindex-splash`,
    zindexToast: `${LF_THEME_UI_PREFIX}zindex-toast`,
};
//#endregion
//#region Icons
export const LF_THEME_ICONS_PREFIX = "--lf-icon-";
export const LF_THEME_ICONS = {
    add: `${LF_THEME_ICONS_PREFIX}add`,
    brokenImage: `${LF_THEME_ICONS_PREFIX}broken-image`,
    clear: `${LF_THEME_ICONS_PREFIX}clear`,
    copy: `${LF_THEME_ICONS_PREFIX}copy`,
    copyOk: `${LF_THEME_ICONS_PREFIX}copy-ok`,
    collapsed: `${LF_THEME_ICONS_PREFIX}collapsed`,
    danger: `${LF_THEME_ICONS_PREFIX}danger`,
    delete: `${LF_THEME_ICONS_PREFIX}delete`,
    disabled: `${LF_THEME_ICONS_PREFIX}disabled`,
    download: `${LF_THEME_ICONS_PREFIX}download`,
    dropdown: `${LF_THEME_ICONS_PREFIX}dropdown`,
    edit: `${LF_THEME_ICONS_PREFIX}edit`,
    expanded: `${LF_THEME_ICONS_PREFIX}expanded`,
    info: `${LF_THEME_ICONS_PREFIX}info`,
    minus: `${LF_THEME_ICONS_PREFIX}minus`,
    next: `${LF_THEME_ICONS_PREFIX}next`,
    plus: `${LF_THEME_ICONS_PREFIX}plus`,
    previous: `${LF_THEME_ICONS_PREFIX}previous`,
    primary: `${LF_THEME_ICONS_PREFIX}primary`,
    refresh: `${LF_THEME_ICONS_PREFIX}refresh`,
    secondary: `${LF_THEME_ICONS_PREFIX}secondary`,
    settings: `${LF_THEME_ICONS_PREFIX}settings`,
    success: `${LF_THEME_ICONS_PREFIX}success`,
    search: `${LF_THEME_ICONS_PREFIX}search`,
    upload: `${LF_THEME_ICONS_PREFIX}upload`,
    warning: `${LF_THEME_ICONS_PREFIX}warning`,
};
//#endregion;
//#region Attributes
export const LF_THEME_ATTRIBUTE = {
    dark: "lf-dark-theme",
    light: "lf-light-theme",
    theme: "lf-theme",
};
//#endregion;
//#region Modifiers
export const LF_THEME_MODIFIERS = [
    "active",
    "assistant",
    "bottom",
    "choice",
    "collapsed",
    "connecting",
    "disabled",
    "dropdown",
    "empty",
    "expanded",
    "filled",
    "filter",
    "flat",
    "floating",
    "focused",
    "full",
    "full-width",
    "has-actions",
    "has-description",
    "has-drawer",
    "has-header",
    "has-icon",
    "has-label",
    "has-spinner",
    "has-value",
    "hidden",
    "horizontal",
    "icon",
    "input",
    "large",
    "leading",
    "left",
    "loaded",
    "main",
    "no-label",
    "offline",
    "online",
    "outlined",
    "raised",
    "ready",
    "right",
    "selected",
    "selectable",
    "settings",
    "slim",
    "split",
    "sticky",
    "temporary",
    "textarea",
    "toggable",
    "top",
    "trailing",
    "user",
    "vertical",
];
//#endregion;
//#region Base theme
export const LF_THEME_BASE_VARS = {
    "--lf-color-danger": "#d91e18",
    "--lf-color-info": "#2592df",
    "--lf-color-on-danger": "#fefefe",
    "--lf-color-on-info": "#4a4a4a",
    "--lf-color-on-success": "#fefefe",
    "--lf-color-on-warning": "#151515",
    "--lf-color-success": "#4d9f02",
    "--lf-color-warning": "#ffc107",
    "--lf-font-family-monospace": "Xanh Mono, monospace",
    "--lf-font-family-primary": "Oswald, sans-serif",
    "--lf-font-family-secondary": "Oswald, sans-serif",
    "--lf-font-size": "16px",
    "--lf-icon-add": `hexagon-plus`,
    "--lf-icon-broken-image": `photo-x`,
    "--lf-icon-clear": `x`,
    "--lf-icon-collapsed": `chevron-right`,
    "--lf-icon-copy": `copy`,
    "--lf-icon-copy-ok": `copy-check`,
    "--lf-icon-danger": `square-x`,
    "--lf-icon-delete": `square-x`,
    "--lf-icon-disabled": `lock`,
    "--lf-icon-download": `download`,
    "--lf-icon-dropdown": `chevron-down`,
    "--lf-icon-edit": `edit`,
    "--lf-icon-expanded": `chevron-down`,
    "--lf-icon-info": `info-hexagon`,
    "--lf-icon-minus": `hexagon-minus`,
    "--lf-icon-next": `chevron-right`,
    "--lf-icon-plus": `hexagon-plus`,
    "--lf-icon-previous": `chevron-left`,
    "--lf-icon-primary": `lf-website`,
    "--lf-icon-refresh": `refresh`,
    "--lf-icon-search": `search`,
    "--lf-icon-secondary": `lf-signature`,
    "--lf-icon-settings": `settings`,
    "--lf-icon-success": `check`,
    "--lf-icon-upload": `upload`,
    "--lf-icon-warning": `alert-triangle`,
    "--lf-ui-border-radius": "0",
    "--lf-ui-box-shadow-modal": "0px 0px 7.5px 0px rgba(128, 128, 128, 0.5)",
    "--lf-ui-duration-ripple": "750ms",
    "--lf-ui-height-header": "80px",
    "--lf-ui-opacity-disabled": 0.6,
    "--lf-ui-opacity-ripple": 0.275,
    "--lf-ui-radius-ripple": "0",
    "--lf-ui-size-large": 1.15,
    "--lf-ui-size-medium": 1,
    "--lf-ui-size-small": 0.85,
    "--lf-ui-size-xlarge": 1.25,
    "--lf-ui-size-xsmall": 0.75,
    "--lf-ui-size-xxlarge": 1.35,
    "--lf-ui-size-xxsmall": 0.65,
    "--lf-ui-timing-ripple": "cubic-bezier(0.4, 0, 0.2, 1)",
    "--lf-ui-width-drawer": "320px",
    "--lf-ui-zindex-backdrop": 899,
    "--lf-ui-zindex-drawer": 900,
    "--lf-ui-zindex-header": 898,
    "--lf-ui-zindex-lightbox": 901,
    "--lf-ui-zindex-portal": 997,
    "--lf-ui-zindex-splash": 999,
    "--lf-ui-zindex-toast": 998,
};
//#endregion
//#region Dark theme
export const DARK = {
    font: [LF_THEME_FONTS_FONTFACE.oswald, LF_THEME_FONTS_FONTFACE.xanhMono],
    isDark: true,
    variables: {
        ...LF_THEME_BASE_VARS,
        "--lf-color-bg": "#000000",
        "--lf-color-border": "#323232",
        "--lf-color-data-1": "#67d6e2", //rgb(103, 214, 226)
        "--lf-color-data-2": "#ff88a8", //rgb(255, 136, 168)
        "--lf-color-data-3": "#c4fa79", //rgb(196, 250, 121)
        "--lf-color-data-4": "#ffad5b", //rgb(255, 173, 91)
        "--lf-color-data-5": "#ffd16d", //rgb(255, 209, 109)
        "--lf-color-data-6": "#ff7aed", //rgb(255, 122, 237)
        "--lf-color-data-7": "#7d99ff", //rgb(125, 153, 255)
        "--lf-color-drawer": "#151515",
        "--lf-color-header": "#151515",
        "--lf-color-link": "#2592df",
        "--lf-color-on-bg": "#fefefe",
        "--lf-color-on-border": "#fefefe",
        "--lf-color-on-drawer": "#fefefe",
        "--lf-color-on-header": "#fefefe",
        "--lf-color-on-info": "#fefefe",
        "--lf-color-on-link": "#4a4a4a",
        "--lf-color-on-primary": "#4a4a4a",
        "--lf-color-on-success": "#fefefe",
        "--lf-color-on-secondary": "#151515",
        "--lf-color-on-spinner": "#74cfc8",
        "--lf-color-on-surface": "#d9d9d9",
        "--lf-color-primary": "#c0c0c0",
        "--lf-color-secondary": "#60c1b8",
        "--lf-color-spinner": "#494949",
        "--lf-color-surface": "#151515",
    },
};
//#endregion
//#region Light theme
export const LIGHT = {
    font: [LF_THEME_FONTS_FONTFACE.oswald, LF_THEME_FONTS_FONTFACE.xanhMono],
    isDark: false,
    variables: {
        ...LF_THEME_BASE_VARS,
        "--lf-color-bg": "#ffffff",
        "--lf-color-border": "#dcdcdc",
        "--lf-color-data-1": "#00c1d6", //rgb(0, 193, 214)
        "--lf-color-data-2": "#af002f", //rgb(175, 0, 47)
        "--lf-color-data-3": "#71c200", //rgb(113, 194, 0)
        "--lf-color-data-4": "#ce6700", //rgb(216, 143, 70)
        "--lf-color-data-5": "#d18f00", //rgb(209, 143, 0)
        "--lf-color-data-6": "#ca00af", //rgb(202, 0, 175)
        "--lf-color-data-7": "#0028b9", //rgb(0, 40, 185)
        "--lf-color-drawer": "#f8f8f8",
        "--lf-color-header": "#f8f8f8",
        "--lf-color-link": "#1d77b5",
        "--lf-color-on-bg": "#151515",
        "--lf-color-on-border": "#151515",
        "--lf-color-on-drawer": "#151515",
        "--lf-color-on-header": "#151515",
        "--lf-color-on-link": "#ffffff",
        "--lf-color-on-primary": "#fefefe",
        "--lf-color-on-secondary": "#fefefe",
        "--lf-color-on-spinner": "#4d8f89",
        "--lf-color-on-surface": "#151515",
        "--lf-color-primary": "#424242",
        "--lf-color-secondary": "#499499",
        "--lf-color-spinner": "#b3b3b3",
        "--lf-color-surface": "#fefefe",
    },
};
//#endregion
//#region Abyss
export const ABYSS = {
    font: [
        LF_THEME_FONTS_FONTFACE.staatliches,
        LF_THEME_FONTS_FONTFACE.montserrat,
    ],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#081620",
        "--lf-color-border": "#103040",
        "--lf-color-surface": "#12212e",
        "--lf-color-on-surface": "#e5f4ff",
        "--lf-color-primary": "#00aecc",
        "--lf-color-on-primary": "#041013",
        "--lf-color-secondary": "#ff5370",
        "--lf-color-on-secondary": "#1a050c",
        "--lf-color-data-1": "#149cad",
        "--lf-color-data-2": "#ff7f9d",
        "--lf-color-data-3": "#1fdfc3",
        "--lf-color-data-4": "#1f99df",
        "--lf-color-data-5": "#75fdd3",
        "--lf-color-data-6": "#ffad9e",
        "--lf-color-data-7": "#3eddff",
        "--lf-color-on-bg": "#f0faff",
        "--lf-color-on-border": "#dff2ff",
        "--lf-color-link": "#00c5d4",
        "--lf-color-on-link": "#020809",
        "--lf-color-spinner": "#2a5060",
        "--lf-color-on-spinner": "#b3ecff",
        "--lf-ui-border-radius": "0.25em",
        "--lf-ui-radius-ripple": "50%",
        "--lf-font-size": "15px",
        "--lf-font-family-primary": "Staatliches, sans-serif",
        "--lf-font-family-monospace": "Montserrat, sans-serif",
    },
};
//#endregion
//#region Eris
export const ERIS = {
    font: [LF_THEME_FONTS_FONTFACE.oswald, LF_THEME_FONTS_FONTFACE.xanhMono],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#0d0b1b",
        "--lf-color-border": "#2c2140",
        "--lf-color-surface": "#181427",
        "--lf-color-data-1": "#6d5dfc",
        "--lf-color-data-2": "#ff4499",
        "--lf-color-data-3": "#00d1ff",
        "--lf-color-data-4": "#ffcc66",
        "--lf-color-danger": "#ff3344",
        "--lf-color-success": "#00ff99",
        "--lf-color-info": "#3399ff",
        "--lf-color-link": "#836aff",
        "--lf-color-on-link": "#ffffff",
        "--lf-color-on-bg": "#f5f5f5",
        "--lf-color-on-surface": "#e2e2e2",
        "--lf-ui-box-shadow-modal": "0px 0px 15px rgba(109, 93, 252, 0.4)",
        "--lf-ui-opacity-ripple": 0.6,
        "--lf-ui-radius-ripple": "60%",
        "--lf-color-header": "#181427",
        "--lf-color-drawer": "#151024",
        "--lf-color-on-header": "#f0f0f0",
        "--lf-color-on-drawer": "#fefefe",
    },
};
//#endregion
//#region Neon
export const NEON = {
    font: [LF_THEME_FONTS_FONTFACE.orbitron, LF_THEME_FONTS_FONTFACE.vt323],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#101010",
        "--lf-color-border": "#454545",
        "--lf-color-surface": "#1a1a1a",
        "--lf-color-on-surface": "#f0f0f0",
        "--lf-color-primary": "#00ffcc",
        "--lf-color-on-primary": "#050505",
        "--lf-color-secondary": "#ff2299",
        "--lf-color-on-secondary": "#0a0a0a",
        "--lf-color-data-1": "#00fdff",
        "--lf-color-data-2": "#ff0090",
        "--lf-color-data-3": "#00ff3e",
        "--lf-color-data-4": "#4f7eff",
        "--lf-color-data-5": "#d4ff00",
        "--lf-color-data-6": "#ff7a00",
        "--lf-color-data-7": "#bf00ff",
        "--lf-color-on-bg": "#fcfcfc",
        "--lf-color-on-border": "#fefefe",
        "--lf-color-link": "#00eaff",
        "--lf-color-on-link": "#000000",
        "--lf-color-spinner": "#333333",
        "--lf-color-on-spinner": "#00ff9e",
        "--lf-font-family-monospace": "VT323, monospace",
        "--lf-font-family-primary": "Orbitron, sans-serif",
        "--lf-font-size": "14px",
        "--lf-ui-border-radius": "0.5em",
        "--lf-ui-radius-ripple": "50%",
    },
};
//#endregion
//#region Night
export const NIGHT = {
    font: [
        LF_THEME_FONTS_FONTFACE.bebasNeue,
        LF_THEME_FONTS_FONTFACE.shareTechMono,
    ],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#0a0a0a",
        "--lf-color-border": "#3f3f3f",
        "--lf-color-surface": "#141414",
        "--lf-color-on-surface": "#fafafa",
        "--lf-color-primary": "#00ffcc",
        "--lf-color-on-primary": "#111111",
        "--lf-color-secondary": "#ff00d4",
        "--lf-color-on-secondary": "#080808",
        "--lf-color-data-1": "#ff4300",
        "--lf-color-data-2": "#ff0080",
        "--lf-color-data-3": "#00ff5e",
        "--lf-color-data-4": "#0080ff",
        "--lf-color-data-5": "#aaff00",
        "--lf-color-data-6": "#ff8800",
        "--lf-color-data-7": "#da00ff",
        "--lf-color-on-bg": "#fefefe",
        "--lf-color-on-border": "#f1f1f1",
        "--lf-color-link": "#00aacc",
        "--lf-color-on-link": "#000000",
        "--lf-color-spinner": "#222222",
        "--lf-color-on-spinner": "#00ffa2",
        "--lf-font-family-monospace": "Share Tech Mono, monospace",
        "--lf-font-family-primary": "Bebas Neue, sans-serif",
        "--lf-ui-border-radius": "0.25em",
        "--lf-ui-radius-ripple": "50%",
    },
};
//#endregion
//#region Pastel
export const PASTEL = {
    font: [
        LF_THEME_FONTS_FONTFACE.raleway,
        LF_THEME_FONTS_FONTFACE.sourceCodePro,
    ],
    isDark: false,
    variables: {
        ...LIGHT.variables,
        "--lf-color-bg": "#fcfcfc",
        "--lf-color-border": "#cccccc",
        "--lf-color-surface": "#ffffff",
        "--lf-color-on-surface": "#151515",
        "--lf-color-primary": "#8a4881",
        "--lf-color-on-primary": "#1b1b1b",
        "--lf-color-secondary": "#ffcce7",
        "--lf-color-on-secondary": "#242424",
        "--lf-color-data-1": "#53969f",
        "--lf-color-data-2": "#af6161",
        "--lf-color-data-3": "#c99b58",
        "--lf-color-data-4": "#7eaa4c",
        "--lf-color-data-5": "#af8817",
        "--lf-color-data-6": "#a14f91",
        "--lf-color-data-7": "#5f6eb9",
        "--lf-color-on-bg": "#222222",
        "--lf-color-on-border": "#151515",
        "--lf-color-link": "#6f86c9",
        "--lf-color-on-link": "#ffffff",
        "--lf-color-spinner": "#aaaaaa",
        "--lf-color-on-spinner": "#333333",
        "--lf-font-family-monospace": "Source Code Pro, monospace",
        "--lf-font-family-primary": "Raleway, sans-serif",
        "--lf-ui-border-radius": "0.25em",
        "--lf-ui-radius-ripple": "50%",
    },
};
//#endregion
//#region Sakura
export const SAKURA = {
    font: [
        LF_THEME_FONTS_FONTFACE.sawarabiMincho,
        LF_THEME_FONTS_FONTFACE.raleway,
    ],
    isDark: false,
    variables: {
        ...LIGHT.variables,
        "--lf-color-bg": "#fef5f7",
        "--lf-color-border": "#f9d8db",
        "--lf-color-surface": "#fffafa",
        "--lf-color-on-surface": "#432d33",
        "--lf-color-primary": "#ff7394",
        "--lf-color-on-primary": "#3d1214",
        "--lf-color-secondary": "#ffd59c",
        "--lf-color-on-secondary": "#4e2e1b",
        "--lf-color-data-1": "#53969f",
        "--lf-color-data-2": "#af6161",
        "--lf-color-data-3": "#c99b58",
        "--lf-color-data-4": "#7eaa4c",
        "--lf-color-data-5": "#af8817",
        "--lf-color-data-6": "#a14f91",
        "--lf-color-data-7": "#5f6eb9",
        "--lf-color-on-bg": "#502f32",
        "--lf-color-on-border": "#4d2b2d",
        "--lf-color-link": "#fd9faf",
        "--lf-color-on-link": "#3d1214",
        "--lf-color-spinner": "#dfb5ba",
        "--lf-color-on-spinner": "#511f22",
        "--lf-ui-border-radius": "0.75em",
        "--lf-ui-radius-ripple": "50%",
        "--lf-font-size": "17px",
        "--lf-font-family-primary": "Sawarabi Mincho, serif",
        "--lf-font-family-monospace": "Raleway, sans-serif",
    },
};
//#endregion
//#region Steampunk
export const STEAMPUNK = {
    font: [
        LF_THEME_FONTS_FONTFACE.IMFellEnglishSC,
        LF_THEME_FONTS_FONTFACE.shareTechMono,
    ],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#1c1a15",
        "--lf-color-border": "#3c3324",
        "--lf-color-surface": "#2c251b",
        "--lf-color-on-surface": "#f2eee8",
        "--lf-color-primary": "#c68642",
        "--lf-color-on-primary": "#1d1207",
        "--lf-color-secondary": "#8f5937",
        "--lf-color-on-secondary": "#f9f4ed",
        "--lf-color-data-1": "#c29f3a",
        "--lf-color-data-2": "#91654a",
        "--lf-color-data-3": "#e2a676",
        "--lf-color-data-4": "#c17f56",
        "--lf-color-data-5": "#8b6c3a",
        "--lf-color-data-6": "#e4c590",
        "--lf-color-data-7": "#b5974a",
        "--lf-color-on-bg": "#f8f5ed",
        "--lf-color-on-border": "#e2dccb",
        "--lf-color-link": "#b08850",
        "--lf-color-on-link": "#241708",
        "--lf-color-spinner": "#3b2f23",
        "--lf-color-on-spinner": "#f7f3eb",
        "--lf-ui-border-radius": "0.25em",
        "--lf-ui-radius-ripple": "30%",
        "--lf-font-size": "16px",
        "--lf-font-family-primary": "IM Fell English SC, serif",
        "--lf-font-family-monospace": "Share Tech Mono, monospace",
    },
};
//#endregion
//#region Urban
export const URBAN = {
    font: [LF_THEME_FONTS_FONTFACE.lato, LF_THEME_FONTS_FONTFACE.merriweather],
    isDark: false,
    variables: {
        ...LIGHT.variables,
        "--lf-color-bg": "#f1f3f5",
        "--lf-color-border": "#c9ced3",
        "--lf-color-surface": "#ffffff",
        "--lf-color-on-surface": "#1f1f1f",
        "--lf-color-primary": "#003366",
        "--lf-color-on-primary": "#ffffff",
        "--lf-color-secondary": "#006699",
        "--lf-color-on-secondary": "#ffffff",
        "--lf-color-data-1": "#006699",
        "--lf-color-data-2": "#d9480f",
        "--lf-color-data-3": "#6f42c1",
        "--lf-color-data-4": "#22863a",
        "--lf-color-data-5": "#b08800",
        "--lf-color-data-6": "#d6336c",
        "--lf-color-data-7": "#005cc5",
        "--lf-color-on-bg": "#2d2d2d",
        "--lf-color-on-border": "#3c3c3c",
        "--lf-color-link": "#0044cc",
        "--lf-color-on-link": "#ffffff",
        "--lf-color-spinner": "#9a9a9a",
        "--lf-color-on-spinner": "#333333",
        "--lf-font-family-monospace": "Merriweather, monospace",
        "--lf-font-family-primary": "Lato, sans-serif",
        "--lf-ui-radius-ripple": "50%",
    },
};
//#endregion
//#region Wizardry
export const WIZARDRY = {
    font: [LF_THEME_FONTS_FONTFACE.uncialAntiqua, LF_THEME_FONTS_FONTFACE.cinzel],
    isDark: true,
    variables: {
        ...DARK.variables,
        "--lf-color-bg": "#1e0f1b",
        "--lf-color-border": "#462752",
        "--lf-color-surface": "#301b2e",
        "--lf-color-on-surface": "#f9f7f4",
        "--lf-color-primary": "#e5c40f",
        "--lf-color-on-primary": "#2f1c00",
        "--lf-color-secondary": "#8c3d8c",
        "--lf-color-on-secondary": "#f2eaf2",
        "--lf-color-data-1": "#ccac00",
        "--lf-color-data-2": "#d764d7",
        "--lf-color-data-3": "#a352a3",
        "--lf-color-data-4": "#b38a00",
        "--lf-color-data-5": "#d728d7",
        "--lf-color-data-6": "#c47cff",
        "--lf-color-data-7": "#ac66ff",
        "--lf-color-on-bg": "#f8f2ea",
        "--lf-color-on-border": "#e4d6c7",
        "--lf-color-link": "#cda000",
        "--lf-color-on-link": "#120900",
        "--lf-color-spinner": "#4e3b4e",
        "--lf-color-on-spinner": "#e3d8c6",
        "--lf-ui-border-radius": "1.5em",
        "--lf-ui-radius-ripple": "50%",
        "--lf-font-size": "15px",
        "--lf-font-family-primary": "Uncial Antiqua, serif",
        "--lf-font-family-monospace": "Cinzel, serif",
    },
};
//#endregion
//#region Theme List
export const THEME_LIST = {
    abyss: ABYSS,
    dark: DARK,
    eris: ERIS,
    light: LIGHT,
    neon: NEON,
    night: NIGHT,
    pastel: PASTEL,
    sakura: SAKURA,
    steampunk: STEAMPUNK,
    urban: URBAN,
    wizardry: WIZARDRY,
};
//#endregion
//#region Icons registry
export const LF_ICONS_REGISTRY = {
    adjustmentsHorizontal: "adjustments-horizontal",
    alertTriangle: "alert-triangle",
    arrowAutofitContent: "arrow-autofit-content",
    arrowBack: "arrow-back",
    article: "article",
    bellRinging: "bell-ringing",
    brandFacebook: "brand-facebook",
    brandGithub: "brand-github",
    brandInstagram: "brand-instagram",
    brandLinkedin: "brand-linkedin",
    brandNpm: "brand-npm",
    brandReddit: "brand-reddit",
    brandX: "brand-x",
    brush: "brush",
    bug: "bug",
    calendarClock: "calendar-clock",
    caretDown: "caret-down",
    caretLeft: "caret-left",
    caretRight: "caret-right",
    caretUp: "caret-up",
    chartColumn: "chart-column",
    chartHistogram: "chart-histogram",
    check: "check",
    chevronCompactDown: "chevron-compact-down",
    chevronCompactLeft: "chevron-compact-left",
    chevronCompactRight: "chevron-compact-right",
    chevronCompactUp: "chevron-compact-up",
    chevronDown: "chevron-down",
    chevronLeft: "chevron-left",
    chevronRight: "chevron-right",
    chevronsDown: "chevrons-down",
    chevronsLeft: "chevrons-left",
    chevronsRight: "chevrons-right",
    chevronsUp: "chevrons-up",
    chevronUp: "chevron-up",
    circleArrowDown: "circle-arrow-down",
    circleArrowLeft: "circle-arrow-left",
    circleArrowRight: "circle-arrow-right",
    circleArrowUp: "circle-arrow-up",
    circleCaretDown: "circle-caret-down",
    circleCaretLeft: "circle-caret-left",
    circleCaretRight: "circle-caret-right",
    circleCaretUp: "circle-caret-up",
    circleChevronDown: "circle-chevron-down",
    circleChevronLeft: "circle-chevron-left",
    circleChevronRight: "circle-chevron-right",
    circleChevronUp: "circle-chevron-up",
    circleX: "circle-x",
    code: "code",
    codeCircle2: "code-circle-2",
    colorSwatch: "color-swatch",
    columns2: "columns-2",
    contrast2: "contrast-2",
    copy: "copy",
    copyCheck: "copy-check",
    door: "door",
    download: "download",
    dragDrop: "drag-drop",
    droplet: "droplet",
    edit: "edit",
    file: "file",
    folder: "folder",
    forms: "forms",
    hexagonMinus: "hexagon-minus",
    hexagonMinus2: "hexagon-minus-2",
    hexagonPlus: "hexagon-plus",
    hexagonPlus2: "hexagon-plus-2",
    hourglassLow: "hourglass-low",
    id: "id",
    ikosaedr: "ikosaedr",
    imageInPicture: "image-in-picture",
    infoHexagon: "info-hexagon",
    innerShadowBottom: "inner-shadow-bottom",
    key: "key",
    layoutBoardSplit: "layout-board-split",
    layoutList: "layout-list",
    layoutNavbar: "layout-navbar",
    layoutNavbarInactive: "layout-navbar-inactive",
    layoutSidebar: "layout-sidebar",
    lfSignature: "lf-signature",
    lfWebsite: "lf-website",
    list: "list",
    listTree: "list-tree",
    loader: "loader",
    loader2: "loader-2",
    loader3: "loader-3",
    lock: "lock",
    menu2: "menu-2",
    messageCircleUser: "message-circle-user",
    messages: "messages",
    microphone: "microphone",
    moon: "moon",
    movie: "movie",
    music: "music",
    network: "network",
    notification: "notification",
    numbers: "numbers",
    offBrush: "off-brush",
    offHexagon: "off-hexagon",
    offId: "off-id",
    offMicrophone: "off-microphone",
    offMoon: "off-moon",
    offNotification: "off-notification",
    offPalette: "off-palette",
    offReplace: "off-replace",
    offSearch: "off-search",
    offTemplate: "off-template",
    palette: "palette",
    pdf: "pdf",
    percentage60: "percentage-60",
    photo: "photo",
    photoSearch: "photo-search",
    photoX: "photo-x",
    progress: "progress",
    refresh: "refresh",
    replace: "replace",
    robot: "robot",
    schema: "schema",
    search: "search",
    settings: "settings",
    shirt: "shirt",
    slideshow: "slideshow",
    squareToggle: "square-toggle",
    squareX: "square-x",
    stackPop: "stack-pop",
    stackPush: "stack-push",
    sunset2: "sunset-2",
    temperature: "temperature",
    template: "template",
    toggleRight: "toggle-right",
    upload: "upload",
    viewportTall: "viewport-tall",
    viewportWide: "viewport-wide",
    wand: "wand",
    writing: "writing",
    x: "x",
    zip: "zip",
};
//#endregion
//#region Global styles
export const GLOBAL_STYLES = {
    "::-webkit-scrollbar": {
        width: "9px",
    },
    "::-webkit-scrollbar-thumb": {
        transition: "all 400ms cubic-bezier(0.8, -0.5, 0.2, 1.4)",
        "background-color": "rgb(var(--lf-color-primary))",
    },
    "::-webkit-scrollbar-track": {
        "background-color": "rgb(var(--lf-color-bg))",
    },
    '.lf-effects [data-lf="backdrop"]': {
        transition: "all 200ms cubic-bezier(0.4, 0, 0.6, 1)",
        background: "rgba(0, 0, 0, 0.375)",
        height: "100vh",
        left: "0",
        opacity: "0",
        position: "fixed",
        top: "0",
        width: "100vw",
        "z-index": "var(--lf-ui-zindex-backdrop, 899)",
    },
    "@keyframes lf-fade-in": [
        {
            from: {
                visibility: "hidden",
                opacity: "0",
            },
        },
        {
            to: {
                visibility: "visible",
                opacity: "1",
            },
        },
    ],
    '.lf-effects [data-lf="lightbox"]': {
        transition: "all 200ms cubic-bezier(0.4, 0, 0.6, 1)",
        height: "90dvh",
        left: "5dvw",
        position: "fixed",
        top: "5dvh",
        width: "90dvw",
        "z-index": "var(--lf-ui-zindex-lightbox, 900)",
    },
    '.lf-effects [data-lf="lightbox-content"]': {
        width: "100%",
        height: "100%",
        border: "1px solid rgba(var(--lf-color-border), 0.375)",
        "border-radius": "var(--lf-ui-border-radius)",
        "box-sizing": "border-box",
        outline: "none",
        "z-index": "calc(var(--lf-ui-zindex-lightbox, 900) + 1)",
    },
    "@keyframes lf-pop": [
        {
            from: {
                opacity: "0",
                transform: "translate(-50%, -50%) scale(0.8)",
            },
        },
        {
            to: {
                opacity: "1",
                transform: "translate(-50%, -50%) scale(1)",
            },
        },
    ],
    '.lf-portal [data-lf="portal"]': {
        display: "block",
        height: "auto",
        "max-height": "45dvh",
        "max-width": "45dvw",
        "min-height": "max-content",
        "min-width": "max-content",
        position: "fixed",
        width: "auto",
        "z-index": "var(--lf-ui-zindex-portal)",
    },
};
//#endregion
